#pragma once

#include "object.h"
#include "mesh.h"

namespace kek {

class GameObject: public DefaultRotateableObject {

protected:
	std::vector<Mesh *> meshes;

public:
	GameObject();

	~GameObject();

	// Adds a mesh to the GameObject. The GameObject takes ownership of the Mesh, so don't use Meshes in multiple GameObjects
	void addMesh(Mesh *mesh);

	void draw(Shader *shader);

};

}
